package org.randombits.confluence.metadata.impl.handler;

import com.atlassian.confluence.user.UserAccessor;
import com.atlassian.user.User;
import org.randombits.confluence.metadata.AbstractTypeHandler;
import org.randombits.confluence.metadata.reference.UserReference;

/**
 * Converts a {@link User} to a {@link org.randombits.confluence.metadata.reference.UserReference} and vice versa.
 */
public class UserHandler extends AbstractTypeHandler<User, UserReference> {

    public static final String LEGACY_ALIAS = "UserOption";

    public static final String ALIAS = "UserReference";

    private final UserAccessor userAccessor;

    public UserHandler( UserAccessor userAccessor ) {
        super( User.class, UserReference.class );
        this.userAccessor = userAccessor;
    }

    @Override
    protected User doGetOriginal( UserReference stored ) {
        return userAccessor.getUser( stored.getUsername() );
    }

    @Override
    protected UserReference doGetStored( User original ) {
        return new UserReference( original );
    }

    @Override
    protected String getAlias() {
        return ALIAS;
    }
}
